Package org.codehaus.groovy.vmplugin.v7

## Class IndyGuardsFiltersAndSignatures

- java.lang.Object
- - org.codehaus.groovy.vmplugin.v7.IndyGuardsFiltersAndSignatures

-     @Deprecated
      public class IndyGuardsFiltersAndSignatures
      extends Object

  Deprecated.
  This class contains guards, runtime filters and MethodType signatures used by indy.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static MethodHandle` | `ARRAYLIST_CONSTRUCTOR` | Deprecated.
    `protected static MethodHandle` | `BEAN_CONSTRUCTOR_PROPERTY_SETTER` | Deprecated.
    `protected static MethodHandle` | `BOOLEAN_IDENTITY` | Deprecated.
    `protected static MethodHandle` | `CLASS_FOR_NAME` | Deprecated.
    `protected static MethodHandle` | `DTT_CAST_TO_TYPE` | Deprecated.
    `protected static MethodHandle` | `EQUALS` | Deprecated.
    `protected static MethodHandle` | `GROOVY_CAST_EXCEPTION` | Deprecated.
    `protected static MethodHandle` | `GROOVY_OBJECT_GET_PROPERTY` | Deprecated.
    `protected static MethodHandle` | `GROOVY_OBJECT_INVOKER` | Deprecated.
    `protected static MethodHandle` | `HAS_CATEGORY_IN_CURRENT_THREAD_GUARD` | Deprecated.
    `protected static MethodHandle` | `HASHSET_CONSTRUCTOR` | Deprecated.
    `protected static MethodHandle` | `INTERCEPTABLE_INVOKER` | Deprecated.
    `protected static MethodHandle` | `IS_NULL` | Deprecated.
    `protected static MethodHandle` | `META_CLASS_INVOKE_STATIC_METHOD` | Deprecated.
    `protected static MethodHandle` | `META_METHOD_INVOKER` | Deprecated.
    `protected static MethodHandle` | `META_PROPERTY_GETTER` | Deprecated.
    `protected static MethodHandle` | `MOP_GET` | Deprecated.
    `protected static MethodHandle` | `MOP_INVOKE_CONSTRUCTOR` | Deprecated.
    `protected static MethodHandle` | `MOP_INVOKE_METHOD` | Deprecated.
    `protected static MethodHandle` | `NULL_REF` | Deprecated.
    `protected static MethodHandle` | `SAM_CONVERSION` | Deprecated.
    `protected static MethodHandle` | `SAME_CLASS` | Deprecated.
    `protected static MethodHandle` | `SAME_MC` | Deprecated.
    `protected static MethodHandle` | `SLOW_META_CLASS_FIND` | Deprecated.
    `protected static MethodHandle` | `UNWRAP_EXCEPTION` | Deprecated.
    `protected static MethodHandle` | `UNWRAP_METHOD` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndyGuardsFiltersAndSignatures()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Object` | `invokeGroovyObjectInvoker​(MissingMethodException e, Object receiver, String name, Object[] args)` | Deprecated. `GroovyObject.invokeMethod(String, Object)` path as fallback.
    `static boolean` | `isNull​(Object o)` | Deprecated. Guard to check if the argument is null.
    `static boolean` | `isSameMetaClass​(MetaClass mc, Object receiver)` | Deprecated. called by handle
    `static boolean` | `sameClass​(Class<?> c, Object o)` | Deprecated. Guard to check if the provided Object has the same class as the provided Class.
    `static Object` | `setBeanProperties​(MetaClass mc, Object bean, Map properties)` | Deprecated. This method is called by he handle to realize the bean constructor with property map.
    `static Object` | `unwrap​(GroovyRuntimeException gre)` | Deprecated. Unwraps a `GroovyRuntimeException`.
    `static Object` | `unwrap​(Object o)` | Deprecated. Unwraps a `Wrapper`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SAME_CLASS

          protected static final MethodHandle SAME_CLASS

      Deprecated.

    - #### UNWRAP_METHOD

          protected static final MethodHandle UNWRAP_METHOD

      Deprecated.

    - #### SAME_MC

          protected static final MethodHandle SAME_MC

      Deprecated.

    - #### IS_NULL

          protected static final MethodHandle IS_NULL

      Deprecated.

    - #### UNWRAP_EXCEPTION

          protected static final MethodHandle UNWRAP_EXCEPTION

      Deprecated.

    - #### META_METHOD_INVOKER

          protected static final MethodHandle META_METHOD_INVOKER

      Deprecated.

    - #### GROOVY_OBJECT_INVOKER

          protected static final MethodHandle GROOVY_OBJECT_INVOKER

      Deprecated.

    - #### GROOVY_OBJECT_GET_PROPERTY

          protected static final MethodHandle GROOVY_OBJECT_GET_PROPERTY

      Deprecated.

    - #### HAS_CATEGORY_IN_CURRENT_THREAD_GUARD

          protected static final MethodHandle HAS_CATEGORY_IN_CURRENT_THREAD_GUARD

      Deprecated.

    - #### BEAN_CONSTRUCTOR_PROPERTY_SETTER

          protected static final MethodHandle BEAN_CONSTRUCTOR_PROPERTY_SETTER

      Deprecated.

    - #### META_PROPERTY_GETTER

          protected static final MethodHandle META_PROPERTY_GETTER

      Deprecated.

    - #### SLOW_META_CLASS_FIND

          protected static final MethodHandle SLOW_META_CLASS_FIND

      Deprecated.

    - #### META_CLASS_INVOKE_STATIC_METHOD

          protected static final MethodHandle META_CLASS_INVOKE_STATIC_METHOD

      Deprecated.

    - #### MOP_GET

          protected static final MethodHandle MOP_GET

      Deprecated.

    - #### MOP_INVOKE_CONSTRUCTOR

          protected static final MethodHandle MOP_INVOKE_CONSTRUCTOR

      Deprecated.

    - #### MOP_INVOKE_METHOD

          protected static final MethodHandle MOP_INVOKE_METHOD

      Deprecated.

    - #### INTERCEPTABLE_INVOKER

          protected static final MethodHandle INTERCEPTABLE_INVOKER

      Deprecated.

    - #### CLASS_FOR_NAME

          protected static final MethodHandle CLASS_FOR_NAME

      Deprecated.

    - #### BOOLEAN_IDENTITY

          protected static final MethodHandle BOOLEAN_IDENTITY

      Deprecated.

    - #### DTT_CAST_TO_TYPE

          protected static final MethodHandle DTT_CAST_TO_TYPE

      Deprecated.

    - #### SAM_CONVERSION

          protected static final MethodHandle SAM_CONVERSION

      Deprecated.

    - #### HASHSET_CONSTRUCTOR

          protected static final MethodHandle HASHSET_CONSTRUCTOR

      Deprecated.

    - #### ARRAYLIST_CONSTRUCTOR

          protected static final MethodHandle ARRAYLIST_CONSTRUCTOR

      Deprecated.

    - #### GROOVY_CAST_EXCEPTION

          protected static final MethodHandle GROOVY_CAST_EXCEPTION

      Deprecated.

    - #### EQUALS

          protected static final MethodHandle EQUALS

      Deprecated.

    - #### NULL_REF

          protected static final MethodHandle NULL_REF

      Deprecated.

  - ### Constructor Detail

    - #### IndyGuardsFiltersAndSignatures

          public IndyGuardsFiltersAndSignatures()

      Deprecated.

  - ### Method Detail

    - #### setBeanProperties

          public static Object setBeanProperties​(MetaClass mc,
                                                 Object bean,
                                                 Map properties)

      Deprecated.
      This method is called by he handle to realize the bean constructor with property map.

    - #### invokeGroovyObjectInvoker

          public static Object invokeGroovyObjectInvoker​(MissingMethodException e,
                                                         Object receiver,
                                                         String name,
                                                         Object[] args)

      Deprecated.
      `GroovyObject.invokeMethod(String, Object)` path as fallback. This method is called by the handle as exception handler in case the selected method causes a MissingMethodExecutionFailed, where we will just give through the exception, and a normal MissingMethodException where we call `GroovyObject.invokeMethod(String, Object)` if receiver class, the type transported by the exception and the name for the method stored in the exception and our current method name are equal. Should those conditions not apply we just rethrow the exception.

    - #### unwrap

          public static Object unwrap​(GroovyRuntimeException gre)
                               throws Throwable

      Deprecated.
      Unwraps a `GroovyRuntimeException`. This method is called by the handle to unwrap internal exceptions of the runtime.
      Throws:
        `Throwable`

    - #### isSameMetaClass

          public static boolean isSameMetaClass​(MetaClass mc,
                                                Object receiver)

      Deprecated.
      called by handle

    - #### unwrap

          public static Object unwrap​(Object o)

      Deprecated.
      Unwraps a `Wrapper`. This method is called by the handle to unwrap a Wrapper, which we use to force method selection.

    - #### isNull

          public static boolean isNull​(Object o)

      Deprecated.
      Guard to check if the argument is null. This method is called by the handle to check if the provided argument is null.

    - #### sameClass

          public static boolean sameClass​(Class<?> c,
                                          Object o)

      Deprecated.
      Guard to check if the provided Object has the same class as the provided Class. This method will return false if the Object is null.